FREEFOAM-COLLAPSEEDGES(1)

NAME
freefoam-collapseEdges - Collapse short edges and combines edges that are in line.

SYNOPSIS

freefoam collapseEdges <edge length [m]> <merge angle [degrees]> [-help] [-srcDoc] [-case <dir>] [-doc] [-overwrite]

DESCRIPTION

    • collapse short edges. Length of edges to collapse provided as argument.

    • merge two edges if they are in line. Maximum angle provided as argument.

    • remove unused points.

Cannot remove cells. Can remove faces and points but does not check for nonsense resulting topology.

When collapsing an edge with one point on the boundary it will leave the boundary point intact. When both points inside it chooses random. When both points on boundary random again. Note: it should in fact use features where if one point is on a feature it collapses to that one. Alas we don’t have features on a polyMesh.

OPTIONS

<edge length [m]>
    TODO Detailed description of argument.

<merge angle [degrees]>
    TODO Detailed description of argument.

-overwrite
    Overwrite existing data.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.